Bug 255142 - devel/libspice-server: update to 0.15.0
Summary: devel/libspice-server: update to 0.15.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on: 251434
Blocks:
  Show dependency treegraph
 
Reported: 2021-04-17 06:57 UTC by Roman Bogorodskiy
Modified: 2021-05-08 11:36 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (portmaster)


Attachments
proposed patch (9.83 KB, patch)
2021-04-17 06:57 UTC, Roman Bogorodskiy
no flags Details | Diff
update to 0.15.0 (11.20 KB, patch)
2021-04-22 14:27 UTC, Roman Bogorodskiy
no flags Details | Diff
update to 0.15.0 (11.19 KB, patch)
2021-04-23 12:29 UTC, Roman Bogorodskiy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Bogorodskiy freebsd_committer 2021-04-17 06:57:48 UTC
Created attachment 224177 [details]
proposed patch
Comment 1 Roman Bogorodskiy freebsd_committer 2021-04-17 14:09:56 UTC
Upstream now uses a more general approach to workaround setsockopt() EINVAL behavior: https://gitlab.freedesktop.org/spice/spice/-/blob/master/server/net-utils.c#L49

I think I'll replace local fixes with these upstream patches.
Comment 2 Roman Bogorodskiy freebsd_committer 2021-04-22 14:27:52 UTC
Created attachment 224356 [details]
update to 0.15.0
Comment 3 Roman Bogorodskiy freebsd_committer 2021-04-23 12:29:02 UTC
Created attachment 224375 [details]
update to 0.15.0
Comment 4 commit-hook freebsd_committer 2021-05-08 11:09:09 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f2bd1c05c6fbdcd5caad744d79cf6baa1bf74ecd

commit f2bd1c05c6fbdcd5caad744d79cf6baa1bf74ecd
Author:     Roman Bogorodskiy <novel@FreeBSD.org>
AuthorDate: 2021-04-17 01:26:05 +0000
Commit:     Roman Bogorodskiy <novel@FreeBSD.org>
CommitDate: 2021-05-08 11:06:02 +0000

    devel/libspice-server: update to 0.15.0

    PR:             255142
    Approved by:    maintainer timeout

 devel/libspice-server/Makefile                     |  8 +--
 devel/libspice-server/distinfo                     |  6 +--
 .../files/patch-configure.ac (gone)                | 31 -----------
 .../files/patch-server-net-utils.c (gone)          | 23 ---------
 .../files/patch-server-red-worker.c (gone)         | 27 ----------
 .../files/patch-server-sound.c (gone)              | 11 ----
 .../patch-server-tests-test-display-base.c (gone)  | 10 ----
 .../files/patch-server_net-utils.c (new)           | 11 ++++
 .../files/patch-server_red-stream.cpp (new)        | 10 ++++
 .../files/patch-tools-reds_stat.c (gone)           | 60 ----------------------
 devel/libspice-server/pkg-plist                    |  3 +-
 11 files changed, 29 insertions(+), 171 deletions(-)